﻿@model IEnumerable<eCommerce.Services.Model.Exchange>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th class="text-center">Id</th>
            <th class="text-center col-md-1">Fecha</th>
            <th class="text-left col-md-3">Cliente</th>
            <th class="text-left col-md-3">Depósito</th>
            <th class="text-center col-md-2">Ingreso Prendas</th>
            <th class="text-center col-md-2">Egreso Prendas</th>
            <th class="text-right col-md-2">Total</th>
            <th class="text-center col-md-1">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@item.ExchangeId</td>
            <td class="text-center">@item.Created.Value.ToShortDateString()</td>
            <td class="text-left">@Html.DisplayFor(modelItem => item.Customer.FullName)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.Deposit.Name)</td>
            <td class="text-center">@item.ReturnedQuatity</td>
            <td class="text-center">@item.SoldQuatity</td>
            <td class="text-right">$@Html.DisplayFor(modelItem => item.Amount)</td>
            
            <td class="actions text-center no-wrap">
                
                <a href="/Exchanges/ExchangeUpdate/@item.ExchangeId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>

                <a href="/Exchanges/ExchangePrint/@item.ExchangeId" target="_blank" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Imprimir"><i class="icon fa fa-print" aria-hidden="true"></i></a>
                
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.ExchangeId" onclick="fDeleteDialog(@item.ExchangeId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
